﻿@using PatientCard.Models
@model List<PatientViewModel>

@{
    ViewBag.Title = "Пациенты";
    var grid = new WebGrid(Model);
}

<!DOCTYPE html>

<html>
<head>
    <title>title</title>
    <script type="text/javascript" src="~/Scripts/tablesorter/jquery.tablesorter.combined.js"></script>
    <script type="text/javascript" src="~/Scripts/tablesorter/jquery.tablesorter.combined.min.js"></script>
    <link rel="stylesheet" href="/Content/theme.default.css">
</head>
<body>
    <div class="container">
        <h2>Список пациентов</h2>
        <div id="dialogContent"></div>
        <div class="col-md-12">
            <input type="text" class="form-control" id="search" placeholder="Введите текст для поиска" style="max-width: 100% !important">
            <hr>
            <a href="@Url.Action("PatientDetails", new {id = 0})" class="btn btn-default btn-edit" data-url="@Url.RouteUrl("DefaultApi",new { httproute = "", controller = "Patients", id = 0 })">Добавить</a>
        </div>
        <table Id="MainGrid" class="table table-striped table-hover tablesorter">
            <thead>
            <tr>
                <th>ИИН</th>
                <th>ФИО</th>
                <th>Адрес</th>
                <th>Телефон</th>
                <th data-sorter="false"></th>
                <th data-sorter="false"></th>
                <th data-sorter="false"></th>
            </tr>
            </thead>
            <tbody></tbody>
        </table>
    </div>
</body>
</html>


@section scripts
{
    <script src="~/Scripts/js/patients.js"></script>
    <script type="text/javascript">
        $(function () {
            GetAllPatients();
        });

        function GetAllPatients() {
            $('#MainGrid').find('tbody').html('');
            $.ajax({
                url: '/api/Patients',
                type: 'GET',
                dataType: 'json',
                success: function (data) {
                    data.map(function (item) {
                        var row = "<tr>";
                        row += '<td class="filtering">' + item.IIN + "</td>";
                        row += '<td class="filtering">' + item.FIO + "</td>";
                        row += "<td>" + item.Address + "</td>";
                        row += "<td>" + item.PhoneNumber + "</td>";
                        row += "<td>" +
                            '@Html.ActionLink("История посещений", "VisitHistory", "PatientCard", new {patientId = "replaceValue"}, new {@class = "btn btn-default"})' +
                            "</td>";
                        row += "<td>" +
                            '@Html.ActionLink("Редактировать", "PatientDetails", new {id = "replaceValue"}, new {@class = "btn btn-default btn-edit", data_url = Url.RouteUrl("DefaultApi", new {httproute = "", controller = "Patients", id = "replaceValue"})})' +
                            "</td>";
                        row += "<td>" +
                            '@Html.RouteLink("Удалить", "DefaultApi", new {httproute = "", controller = "Patients", id = "replaceValue"}, new {@class = "btn btn-default btn-delete"})' +
                            "</td>";
                        row += "</tr>";
                        $('#MainGrid').find('tbody').append(row.replace(/replaceValue/g, item.Id));
                    });
                    $("#MainGrid").tablesorter();
                },
                error: function (x, y, z) {
                    alert(x + '\n' + y + '\n' + z);
                }
            });
        }
    </script>
}